(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.1' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     51089,        977]
NotebookOptionsPosition[     51469,        967]
NotebookOutlinePosition[     51908,        986]
CellTagsIndexPosition[     51865,        983]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["Benchmark solutions for REBO potentials",
 FontSize->24,
 FontWeight->"Bold",
 FontColor->RGBColor[
  0.5974822613870451, 0.02844281681544213, 0.011352712291142137`]]], "Text",
 CellChangeTimes->{{3.649728995956747*^9, 3.649729041134739*^9}, {
   3.649729078170047*^9, 3.6497290801403103`*^9}, 3.649729446439466*^9, {
   3.6499063004154863`*^9, 3.649906318193623*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Get", "[", "\"\</mydirectory/Benchmark_code.m\>\"", "]"}]], "Input",\

 CellChangeTimes->{{3.64974072618546*^9, 3.649740728952269*^9}, 
   3.649742363500348*^9, 3.6497424062036543`*^9, 3.649742475586907*^9, {
   3.64974560822017*^9, 3.649745613094413*^9}, {3.649906416904862*^9, 
   3.649906417233329*^9}, {3.6502754100916157`*^9, 3.650275412448612*^9}, {
   3.650342668564065*^9, 3.650342670631246*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 3, $CellContext`q$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`q$$], 0, "show"}, {0 -> "armchair", 1 -> "zigzag"}}, {
      Hold[$CellContext`n$$], 3, 30}}, Typeset`size$$ = {
    329., {36.91754150390625, 44.08245849609375}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = False, $CellContext`q$466$$ =
     False, $CellContext`n$467$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`n$$ = 3, $CellContext`q$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`q$$, $CellContext`q$466$$, False], 
        Hold[$CellContext`n$$, $CellContext`n$467$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{NumberForm[
           $CellContext`Radius[$CellContext`q$$, $CellContext`n$$], 4] 
         "radius [nm]:", NumberForm[
           $CellContext`Energy[$CellContext`q$$, $CellContext`n$$], 5] 
         "cohesive energy [ev/atom]:", NumberForm[
           $CellContext`Young[$CellContext`q$$, $CellContext`n$$], 7] 
         "Young modulus [GPa]:", NumberForm[
           $CellContext`Poisson[$CellContext`q$$, $CellContext`n$$], 4] 
         "Poisson coefficient:"}, Left, ", "], 
      "Specifications" :> {{{$CellContext`q$$, 0, "show"}, {
         0 -> "armchair", 1 -> "zigzag"}, ControlType -> 
         Setter}, {$CellContext`n$$, 3, 30}}, 
      "Options" :> {
       AutorunSequencing -> {1, 2}, 
        TrackedSymbols :> {$CellContext`q$$, $CellContext`n$$}, 
        ControlPlacement -> Top, ControlType -> InputField}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{384., {103., 110.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`Radius[0, 
         Pattern[$CellContext`n, 
          
          Blank[]]] := $CellContext`\[Rho]A[$CellContext`n], \
$CellContext`Radius[1, 
         Pattern[$CellContext`n, 
          
          Blank[]]] := $CellContext`\[Rho]Z[$CellContext`n], $CellContext`\
\[Rho]A[
         Pattern[$CellContext`n, 
          Blank[]]] := $CellContext`rA[0, $CellContext`n], $CellContext`rA[
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := ReplaceAll[$CellContext`\[Rho][$CellContext`n]/10, 
         $CellContext`solA[$CellContext`F, $CellContext`n]], $CellContext`\
\[Rho][
         Pattern[$CellContext`n, 
          Blank[]]] := 
       Sqrt[$CellContext`\[Rho]a[$CellContext`n]^2 + $CellContext`a^2/
          4], $CellContext`\[Rho]a[
         Pattern[$CellContext`n, 
          Blank[]]] := (($CellContext`b Cos[$CellContext`\[Alpha]/2])/
          2 + ($CellContext`a Cos[
             $CellContext`\[Phi][$CellContext`n]])/2)/Sin[
         $CellContext`\[Phi][$CellContext`n]], $CellContext`\[Phi][
         Pattern[$CellContext`n, 
          Blank[]]] := Pi/$CellContext`n1[$CellContext`n], $CellContext`n1[
         Pattern[$CellContext`n, 
          Blank[]]] := 2 $CellContext`n, $CellContext`solA[
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := 
       FindRoot[{$CellContext`\[Sigma]an[$CellContext`n] == 
          0, $CellContext`\[Sigma]bn[$CellContext`n] - ($CellContext`F 
            Sin[$CellContext`\[Alpha]/2])/$CellContext`n1[$CellContext`n] == 
          0, $CellContext`\[Tau]\[Alpha]n[$CellContext`n] + (2 D[
               $CellContext`\[Beta][$CellContext`n], $CellContext`\[Alpha]]) \
$CellContext`\[Tau]\[Beta]n[$CellContext`n] + D[
              $CellContext`\[CapitalTheta]1[$CellContext`n], $CellContext`\
\[Alpha]] $CellContext`T1n[$CellContext`n] + (2 D[
               $CellContext`\[CapitalTheta]2[$CellContext`n], $CellContext`\
\[Alpha]]) $CellContext`T2n[$CellContext`n] + D[
              $CellContext`\[CapitalTheta]3[$CellContext`n], $CellContext`\
\[Alpha]] $CellContext`T3n[$CellContext`n] - (((
              1 $CellContext`F) $CellContext`b) 
            Cos[$CellContext`\[Alpha]/2])/(2 $CellContext`n1[$CellContext`n]) == 
          0}, {{$CellContext`a, 1.4}, {$CellContext`b, 
           1.4}, {$CellContext`\[Alpha], 2}}], $CellContext`\[Sigma]an[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`\[Sigma]a, {$CellContext`\[Beta] -> \
$CellContext`\[Beta][$CellContext`n], $CellContext`\[CapitalTheta]1 -> \
$CellContext`\[CapitalTheta]1[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4[$CellContext`n]}], $CellContext`\[Sigma]a = \
((-51991.42521839874) (1 + 0.3134602960833/$CellContext`a))/
         E^(4.7465390606595 $CellContext`a) - 
        3433.50119623531/($CellContext`a^2 
        E^(4.7465390606595 $CellContext`a)) + (
          58480.7017440149/E^(4.7204523127 $CellContext`a) + 
          25.17783971214591/E^(1.4332132499 $CellContext`a) + 
          42.46926785068801/
           E^(1.3826912506 $CellContext`a)) ((-0.00809675) (1 - 
            Cos[$CellContext`\[CapitalTheta]1]^2) + 
          1/Sqrt[1 + 
            2 Piecewise[{{
                0.375449999999999 + 
                 1.406776475152104 Cos[$CellContext`\[Beta]] + 
                 2.254377494462425 Cos[$CellContext`\[Beta]]^2 + 
                 2.031282890266629 Cos[$CellContext`\[Beta]]^3 + 
                 1.429711740681566 Cos[$CellContext`\[Beta]]^4 + 
                 0.502401399437276 Cos[$CellContext`\[Beta]]^5, 
                 Inequality[
                 0, LessEqual, $CellContext`\[Beta], Less, 
                  1.910716651913312]}, {
                0.707277245734129 + 
                 5.677435848489921 Cos[$CellContext`\[Beta]] + 
                 24.09701877750397 Cos[$CellContext`\[Beta]]^2 + 
                 57.59183195999613 Cos[$CellContext`\[Beta]]^3 + 
                 71.88287000288395 Cos[$CellContext`\[Beta]]^4 + 
                 36.27886067346856 Cos[$CellContext`\[Beta]]^5, 
                 Inequality[
                 1.910716651913312, LessEqual, $CellContext`\[Beta], 
                  Less, (2 Pi)/3]}, {-0.644399999999948 - 6.207999999999618 
                 Cos[$CellContext`\[Beta]] - 20.05899999999891 
                 Cos[$CellContext`\[Beta]]^2 - 30.22799999999852 
                 Cos[$CellContext`\[Beta]]^3 - 21.72399999999905 
                 Cos[$CellContext`\[Beta]]^4 - 5.990399999999763 
                 Cos[$CellContext`\[Beta]]^5, (2 Pi)/
                  3 <= $CellContext`\[Beta] <= Pi}}, 
               0]]), $CellContext`\[CapitalTheta]1[
         Pattern[$CellContext`n, 
          Blank[]]] := 2 ArcSin[(Cos[$CellContext`\[Alpha]/2] Sin[
             $CellContext`\[Phi][$CellContext`n]])/Sin[
           $CellContext`\[Beta][$CellContext`n]]], $CellContext`\[Beta][
         Pattern[$CellContext`n, 
          Blank[]]] := ArcCos[-(Cos[$CellContext`\[Alpha]/2] Cos[
            $CellContext`\[Phi][$CellContext`n]])], $CellContext`\
\[CapitalTheta]2[
         Pattern[$CellContext`n, 
          Blank[]]] := ArcSin[Sin[
           $CellContext`\[Phi][$CellContext`n]]/Sin[
          $CellContext`\[Beta][$CellContext`n]]], \
$CellContext`\[CapitalTheta]3[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       2 $CellContext`\[CapitalTheta]2[$CellContext`n], $CellContext`\
\[CapitalTheta]4[
         Pattern[$CellContext`n, 
          Blank[]]] := 0, $CellContext`\[Sigma]bn[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`\[Sigma]b, {$CellContext`\[Beta] -> \
$CellContext`\[Beta][$CellContext`n], $CellContext`\[CapitalTheta]1 -> \
$CellContext`\[CapitalTheta]1[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4[$CellContext`n]}], $CellContext`\[Sigma]b = \
((-51991.42521839874) (1 + 0.3134602960833/$CellContext`b))/
         E^(4.7465390606595 $CellContext`b) - 
        3433.50119623531/($CellContext`b^2 
        E^(4.7465390606595 $CellContext`b)) + (
          58480.7017440149/E^(4.7204523127 $CellContext`b) + 
          25.17783971214591/E^(1.4332132499 $CellContext`b) + 
          42.46926785068801/
           E^(1.3826912506 $CellContext`b)) ((-0.004048375) (2 + 
            2 (1 - Cos[$CellContext`\[CapitalTheta]2]^2) - 
            Cos[$CellContext`\[CapitalTheta]3]^2 - 
            Cos[$CellContext`\[CapitalTheta]4]^2) + 
          1/Sqrt[1 + 
            Piecewise[{{
               0.375449999999999 + 
                1.406776475152104 Cos[$CellContext`\[Alpha]] + 
                2.254377494462425 Cos[$CellContext`\[Alpha]]^2 + 
                2.031282890266629 Cos[$CellContext`\[Alpha]]^3 + 
                1.429711740681566 Cos[$CellContext`\[Alpha]]^4 + 
                0.502401399437276 Cos[$CellContext`\[Alpha]]^5, 
                Inequality[
                0, LessEqual, $CellContext`\[Alpha], Less, 
                 1.910716651913312]}, {
               0.707277245734129 + 
                5.677435848489921 Cos[$CellContext`\[Alpha]] + 
                24.09701877750397 Cos[$CellContext`\[Alpha]]^2 + 
                57.59183195999613 Cos[$CellContext`\[Alpha]]^3 + 
                71.88287000288395 Cos[$CellContext`\[Alpha]]^4 + 
                36.27886067346856 Cos[$CellContext`\[Alpha]]^5, 
                Inequality[
                1.910716651913312, LessEqual, $CellContext`\[Alpha], 
                 Less, (2 Pi)/3]}, {-0.644399999999948 - 6.207999999999618 
                Cos[$CellContext`\[Alpha]] - 20.05899999999891 
                Cos[$CellContext`\[Alpha]]^2 - 30.22799999999852 
                Cos[$CellContext`\[Alpha]]^3 - 21.72399999999905 
                Cos[$CellContext`\[Alpha]]^4 - 5.990399999999763 
                Cos[$CellContext`\[Alpha]]^5, (2 Pi)/
                 3 <= $CellContext`\[Alpha] <= Pi}}, 0] + 
            Piecewise[{{
               0.375449999999999 + 
                1.406776475152104 Cos[$CellContext`\[Beta]] + 
                2.254377494462425 Cos[$CellContext`\[Beta]]^2 + 
                2.031282890266629 Cos[$CellContext`\[Beta]]^3 + 
                1.429711740681566 Cos[$CellContext`\[Beta]]^4 + 
                0.502401399437276 Cos[$CellContext`\[Beta]]^5, 
                Inequality[
                0, LessEqual, $CellContext`\[Beta], Less, 
                 1.910716651913312]}, {
               0.707277245734129 + 
                5.677435848489921 Cos[$CellContext`\[Beta]] + 
                24.09701877750397 Cos[$CellContext`\[Beta]]^2 + 
                57.59183195999613 Cos[$CellContext`\[Beta]]^3 + 
                71.88287000288395 Cos[$CellContext`\[Beta]]^4 + 
                36.27886067346856 Cos[$CellContext`\[Beta]]^5, 
                Inequality[
                1.910716651913312, LessEqual, $CellContext`\[Beta], 
                 Less, (2 Pi)/3]}, {-0.644399999999948 - 6.207999999999618 
                Cos[$CellContext`\[Beta]] - 20.05899999999891 
                Cos[$CellContext`\[Beta]]^2 - 30.22799999999852 
                Cos[$CellContext`\[Beta]]^3 - 21.72399999999905 
                Cos[$CellContext`\[Beta]]^4 - 5.990399999999763 
                Cos[$CellContext`\[Beta]]^5, (2 Pi)/3 <= $CellContext`\[Beta] <= 
                Pi}}, 0]]), $CellContext`\[Tau]\[Alpha]n[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`\[Tau]\[Alpha], {$CellContext`\[Beta] -> \
$CellContext`\[Beta][$CellContext`n], $CellContext`\[CapitalTheta]1 -> \
$CellContext`\[CapitalTheta]1[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4[$CellContext`n]}], $CellContext`\[Tau]\[Alpha] = \
(-(((-12388.79197798)/E^(4.7204523127 $CellContext`b) - 17.56740646509/
           E^(1.4332132499 $CellContext`b) - 30.71493208065/
           E^(1.3826912506 $CellContext`b)) 
          Piecewise[{{
             0, $CellContext`\[Alpha] < 
              0}, {(-1.4067764751521041`) Sin[$CellContext`\[Alpha]] - (
               4.50875498892485 Cos[$CellContext`\[Alpha]]) 
              Sin[$CellContext`\[Alpha]] - (6.093848670799886 
               Cos[$CellContext`\[Alpha]]^2) 
              Sin[$CellContext`\[Alpha]] - (5.718846962726264 
               Cos[$CellContext`\[Alpha]]^3) 
              Sin[$CellContext`\[Alpha]] - (2.51200699718638 
               Cos[$CellContext`\[Alpha]]^4) Sin[$CellContext`\[Alpha]], 
              Inequality[
              0, Less, $CellContext`\[Alpha], Less, 125610228/
               65739851]}, {(-5.677435848489921) 
               Sin[$CellContext`\[Alpha]] - (48.19403755500794 
               Cos[$CellContext`\[Alpha]]) 
              Sin[$CellContext`\[Alpha]] - (172.7754958799884 
               Cos[$CellContext`\[Alpha]]^2) 
              Sin[$CellContext`\[Alpha]] - (287.5314800115358 
               Cos[$CellContext`\[Alpha]]^3) 
              Sin[$CellContext`\[Alpha]] - (181.39430336734281` 
               Cos[$CellContext`\[Alpha]]^4) Sin[$CellContext`\[Alpha]], 
              Inequality[
              125610228/65739851, Less, $CellContext`\[Alpha], Less, (2 Pi)/
               3]}, {6.208 
               Sin[$CellContext`\[Alpha]] + (40.118 
                Cos[$CellContext`\[Alpha]]) 
               Sin[$CellContext`\[Alpha]] + (90.684 
                Cos[$CellContext`\[Alpha]]^2) 
               Sin[$CellContext`\[Alpha]] + (86.896 
                Cos[$CellContext`\[Alpha]]^3) 
               Sin[$CellContext`\[Alpha]] + (29.952 
                Cos[$CellContext`\[Alpha]]^4) Sin[$CellContext`\[Alpha]], 
              Inequality[(2 Pi)/3, Less, $CellContext`\[Alpha], Less, Pi]}, {
             0, $CellContext`\[Alpha] > Pi}}, Indeterminate]))/(
        2 (1 + Piecewise[{{
             0.375449999999999 + 1.406776475152104 Cos[$CellContext`\[Alpha]] + 
              2.254377494462425 Cos[$CellContext`\[Alpha]]^2 + 
              2.031282890266629 Cos[$CellContext`\[Alpha]]^3 + 
              1.429711740681566 Cos[$CellContext`\[Alpha]]^4 + 
              0.502401399437276 Cos[$CellContext`\[Alpha]]^5, 
              Inequality[
              0, LessEqual, $CellContext`\[Alpha], Less, 
               1.910716651913312]}, {
             0.707277245734129 + 5.677435848489921 Cos[$CellContext`\[Alpha]] + 
              24.09701877750397 Cos[$CellContext`\[Alpha]]^2 + 
              57.59183195999613 Cos[$CellContext`\[Alpha]]^3 + 
              71.88287000288395 Cos[$CellContext`\[Alpha]]^4 + 
              36.27886067346856 Cos[$CellContext`\[Alpha]]^5, 
              Inequality[
              1.910716651913312, LessEqual, $CellContext`\[Alpha], 
               Less, (2 Pi)/3]}, {-0.644399999999948 - 6.207999999999618 
              Cos[$CellContext`\[Alpha]] - 20.05899999999891 
              Cos[$CellContext`\[Alpha]]^2 - 30.22799999999852 
              Cos[$CellContext`\[Alpha]]^3 - 21.72399999999905 
              Cos[$CellContext`\[Alpha]]^4 - 5.990399999999763 
              Cos[$CellContext`\[Alpha]]^5, (2 Pi)/3 <= $CellContext`\[Alpha] <= 
              Pi}}, 0] + 
          Piecewise[{{
             0.375449999999999 + 1.406776475152104 Cos[$CellContext`\[Beta]] + 
              2.254377494462425 Cos[$CellContext`\[Beta]]^2 + 
              2.031282890266629 Cos[$CellContext`\[Beta]]^3 + 
              1.429711740681566 Cos[$CellContext`\[Beta]]^4 + 
              0.502401399437276 Cos[$CellContext`\[Beta]]^5, 
              Inequality[
              0, LessEqual, $CellContext`\[Beta], Less, 1.910716651913312]}, {
             0.707277245734129 + 5.677435848489921 Cos[$CellContext`\[Beta]] + 
              24.09701877750397 Cos[$CellContext`\[Beta]]^2 + 
              57.59183195999613 Cos[$CellContext`\[Beta]]^3 + 
              71.88287000288395 Cos[$CellContext`\[Beta]]^4 + 
              36.27886067346856 Cos[$CellContext`\[Beta]]^5, 
              Inequality[
              1.910716651913312, LessEqual, $CellContext`\[Beta], 
               Less, (2 Pi)/3]}, {-0.644399999999948 - 6.207999999999618 
              Cos[$CellContext`\[Beta]] - 20.05899999999891 
              Cos[$CellContext`\[Beta]]^2 - 30.22799999999852 
              Cos[$CellContext`\[Beta]]^3 - 21.72399999999905 
              Cos[$CellContext`\[Beta]]^4 - 5.990399999999763 
              Cos[$CellContext`\[Beta]]^5, (2 Pi)/3 <= $CellContext`\[Beta] <= 
              Pi}}, 0])^(3/2)), $CellContext`\[Tau]\[Beta]n[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`\[Tau]\[Beta], {$CellContext`\[Beta] -> \
$CellContext`\[Beta][$CellContext`n], $CellContext`\[CapitalTheta]1 -> \
$CellContext`\[CapitalTheta]1[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4[$CellContext`n]}], $CellContext`\[Tau]\[Beta] = \
(-((((-12388.79197798)/E^(4.7204523127 $CellContext`b) - 17.56740646509/
             E^(1.4332132499 $CellContext`b) - 30.71493208065/
             E^(1.3826912506 $CellContext`b)) 
            Piecewise[{{
               0, $CellContext`\[Beta] < 
                0}, {(-1.4067764751521041`) Sin[$CellContext`\[Beta]] - (
                 4.50875498892485 Cos[$CellContext`\[Beta]]) 
                Sin[$CellContext`\[Beta]] - (6.093848670799886 
                 Cos[$CellContext`\[Beta]]^2) 
                Sin[$CellContext`\[Beta]] - (5.718846962726264 
                 Cos[$CellContext`\[Beta]]^3) 
                Sin[$CellContext`\[Beta]] - (2.51200699718638 
                 Cos[$CellContext`\[Beta]]^4) Sin[$CellContext`\[Beta]], 
                Inequality[
                0, Less, $CellContext`\[Beta], Less, 125610228/
                 65739851]}, {(-5.677435848489921) 
                 Sin[$CellContext`\[Beta]] - (48.19403755500794 
                 Cos[$CellContext`\[Beta]]) 
                Sin[$CellContext`\[Beta]] - (172.7754958799884 
                 Cos[$CellContext`\[Beta]]^2) 
                Sin[$CellContext`\[Beta]] - (287.5314800115358 
                 Cos[$CellContext`\[Beta]]^3) 
                Sin[$CellContext`\[Beta]] - (181.39430336734281` 
                 Cos[$CellContext`\[Beta]]^4) Sin[$CellContext`\[Beta]], 
                Inequality[
                125610228/65739851, Less, $CellContext`\[Beta], Less, (2 Pi)/
                 3]}, {6.208 
                 Sin[$CellContext`\[Beta]] + (40.118 
                  Cos[$CellContext`\[Beta]]) 
                 Sin[$CellContext`\[Beta]] + (90.684 
                  Cos[$CellContext`\[Beta]]^2) 
                 Sin[$CellContext`\[Beta]] + (86.896 
                  Cos[$CellContext`\[Beta]]^3) 
                 Sin[$CellContext`\[Beta]] + (29.952 
                  Cos[$CellContext`\[Beta]]^4) Sin[$CellContext`\[Beta]], 
                Inequality[(2 Pi)/3, Less, $CellContext`\[Beta], Less, Pi]}, {
               0, $CellContext`\[Beta] > Pi}}, Indeterminate])/(1 + 
            Piecewise[{{
               0.375449999999999 + 
                1.406776475152104 Cos[$CellContext`\[Alpha]] + 
                2.254377494462425 Cos[$CellContext`\[Alpha]]^2 + 
                2.031282890266629 Cos[$CellContext`\[Alpha]]^3 + 
                1.429711740681566 Cos[$CellContext`\[Alpha]]^4 + 
                0.502401399437276 Cos[$CellContext`\[Alpha]]^5, 
                Inequality[
                0, LessEqual, $CellContext`\[Alpha], Less, 
                 1.910716651913312]}, {
               0.707277245734129 + 
                5.677435848489921 Cos[$CellContext`\[Alpha]] + 
                24.09701877750397 Cos[$CellContext`\[Alpha]]^2 + 
                57.59183195999613 Cos[$CellContext`\[Alpha]]^3 + 
                71.88287000288395 Cos[$CellContext`\[Alpha]]^4 + 
                36.27886067346856 Cos[$CellContext`\[Alpha]]^5, 
                Inequality[
                1.910716651913312, LessEqual, $CellContext`\[Alpha], 
                 Less, (2 Pi)/3]}, {-0.644399999999948 - 6.207999999999618 
                Cos[$CellContext`\[Alpha]] - 20.05899999999891 
                Cos[$CellContext`\[Alpha]]^2 - 30.22799999999852 
                Cos[$CellContext`\[Alpha]]^3 - 21.72399999999905 
                Cos[$CellContext`\[Alpha]]^4 - 5.990399999999763 
                Cos[$CellContext`\[Alpha]]^5, (2 Pi)/
                 3 <= $CellContext`\[Alpha] <= Pi}}, 0] + 
            Piecewise[{{
               0.375449999999999 + 
                1.406776475152104 Cos[$CellContext`\[Beta]] + 
                2.254377494462425 Cos[$CellContext`\[Beta]]^2 + 
                2.031282890266629 Cos[$CellContext`\[Beta]]^3 + 
                1.429711740681566 Cos[$CellContext`\[Beta]]^4 + 
                0.502401399437276 Cos[$CellContext`\[Beta]]^5, 
                Inequality[
                0, LessEqual, $CellContext`\[Beta], Less, 
                 1.910716651913312]}, {
               0.707277245734129 + 
                5.677435848489921 Cos[$CellContext`\[Beta]] + 
                24.09701877750397 Cos[$CellContext`\[Beta]]^2 + 
                57.59183195999613 Cos[$CellContext`\[Beta]]^3 + 
                71.88287000288395 Cos[$CellContext`\[Beta]]^4 + 
                36.27886067346856 Cos[$CellContext`\[Beta]]^5, 
                Inequality[
                1.910716651913312, LessEqual, $CellContext`\[Beta], 
                 Less, (2 Pi)/3]}, {-0.644399999999948 - 6.207999999999618 
                Cos[$CellContext`\[Beta]] - 20.05899999999891 
                Cos[$CellContext`\[Beta]]^2 - 30.22799999999852 
                Cos[$CellContext`\[Beta]]^3 - 21.72399999999905 
                Cos[$CellContext`\[Beta]]^4 - 5.990399999999763 
                Cos[$CellContext`\[Beta]]^5, (2 Pi)/3 <= $CellContext`\[Beta] <= 
                Pi}}, 0])^(3/2)) - (((-12388.79197798)/
            E^(4.7204523127 $CellContext`a) - 17.56740646509/
           E^(1.4332132499 $CellContext`a) - 30.71493208065/
           E^(1.3826912506 $CellContext`a)) 
          Piecewise[{{
             0, $CellContext`\[Beta] < 
              0}, {(-1.4067764751521041`) Sin[$CellContext`\[Beta]] - (
               4.50875498892485 Cos[$CellContext`\[Beta]]) 
              Sin[$CellContext`\[Beta]] - (6.093848670799886 
               Cos[$CellContext`\[Beta]]^2) 
              Sin[$CellContext`\[Beta]] - (5.718846962726264 
               Cos[$CellContext`\[Beta]]^3) 
              Sin[$CellContext`\[Beta]] - (2.51200699718638 
               Cos[$CellContext`\[Beta]]^4) Sin[$CellContext`\[Beta]], 
              Inequality[
              0, Less, $CellContext`\[Beta], Less, 125610228/
               65739851]}, {(-5.677435848489921) Sin[$CellContext`\[Beta]] - (
               48.19403755500794 Cos[$CellContext`\[Beta]]) 
              Sin[$CellContext`\[Beta]] - (172.7754958799884 
               Cos[$CellContext`\[Beta]]^2) 
              Sin[$CellContext`\[Beta]] - (287.5314800115358 
               Cos[$CellContext`\[Beta]]^3) 
              Sin[$CellContext`\[Beta]] - (181.39430336734281` 
               Cos[$CellContext`\[Beta]]^4) Sin[$CellContext`\[Beta]], 
              Inequality[
              125610228/65739851, Less, $CellContext`\[Beta], Less, (2 Pi)/
               3]}, {6.208 
               Sin[$CellContext`\[Beta]] + (40.118 Cos[$CellContext`\[Beta]]) 
               Sin[$CellContext`\[Beta]] + (90.684 
                Cos[$CellContext`\[Beta]]^2) 
               Sin[$CellContext`\[Beta]] + (86.896 
                Cos[$CellContext`\[Beta]]^3) 
               Sin[$CellContext`\[Beta]] + (29.952 
                Cos[$CellContext`\[Beta]]^4) Sin[$CellContext`\[Beta]], 
              Inequality[(2 Pi)/3, Less, $CellContext`\[Beta], Less, Pi]}, {
             0, $CellContext`\[Beta] > Pi}}, Indeterminate])/(1 + 
          2 Piecewise[{{
              0.375449999999999 + 1.406776475152104 Cos[$CellContext`\[Beta]] + 
               2.254377494462425 Cos[$CellContext`\[Beta]]^2 + 
               2.031282890266629 Cos[$CellContext`\[Beta]]^3 + 
               1.429711740681566 Cos[$CellContext`\[Beta]]^4 + 
               0.502401399437276 Cos[$CellContext`\[Beta]]^5, 
               Inequality[
               0, LessEqual, $CellContext`\[Beta], Less, 
                1.910716651913312]}, {
              0.707277245734129 + 5.677435848489921 Cos[$CellContext`\[Beta]] + 
               24.09701877750397 Cos[$CellContext`\[Beta]]^2 + 
               57.59183195999613 Cos[$CellContext`\[Beta]]^3 + 
               71.88287000288395 Cos[$CellContext`\[Beta]]^4 + 
               36.27886067346856 Cos[$CellContext`\[Beta]]^5, 
               Inequality[
               1.910716651913312, LessEqual, $CellContext`\[Beta], 
                Less, (2 Pi)/3]}, {-0.644399999999948 - 6.207999999999618 
               Cos[$CellContext`\[Beta]] - 20.05899999999891 
               Cos[$CellContext`\[Beta]]^2 - 30.22799999999852 
               Cos[$CellContext`\[Beta]]^3 - 21.72399999999905 
               Cos[$CellContext`\[Beta]]^4 - 5.990399999999763 
               Cos[$CellContext`\[Beta]]^5, (2 Pi)/3 <= $CellContext`\[Beta] <= 
               Pi}}, 0])^(3/2))/4, $CellContext`T1n[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`T1, {$CellContext`\[Beta] -> $CellContext`\
\[Beta][$CellContext`n], $CellContext`\[CapitalTheta]1 -> $CellContext`\
\[CapitalTheta]1[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4[$CellContext`n]}], $CellContext`T1 = \
(((-0.00809675) ((-12388.79197798)/E^(4.7204523127 $CellContext`a) - 
           17.56740646509/E^(1.4332132499 $CellContext`a) - 30.71493208065/
           E^(1.3826912506 $CellContext`a))) 
         Cos[$CellContext`\[CapitalTheta]1]) 
        Sin[$CellContext`\[CapitalTheta]1], $CellContext`T2n[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`T2, {$CellContext`\[Beta] -> $CellContext`\
\[Beta][$CellContext`n], $CellContext`\[CapitalTheta]1 -> $CellContext`\
\[CapitalTheta]1[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4[$CellContext`n]}], $CellContext`T2 = \
(((-0.00809675) ((-12388.79197798)/E^(4.7204523127 $CellContext`b) - 
           17.56740646509/E^(1.4332132499 $CellContext`b) - 30.71493208065/
           E^(1.3826912506 $CellContext`b))) 
         Cos[$CellContext`\[CapitalTheta]2]) 
        Sin[$CellContext`\[CapitalTheta]2], $CellContext`T3n[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`T3, {$CellContext`\[Beta] -> $CellContext`\
\[Beta][$CellContext`n], $CellContext`\[CapitalTheta]1 -> $CellContext`\
\[CapitalTheta]1[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4[$CellContext`n]}], $CellContext`T3 = \
(((-0.00809675) ((-12388.79197798)/E^(4.7204523127 $CellContext`b) - 
           17.56740646509/E^(1.4332132499 $CellContext`b) - 30.71493208065/
           E^(1.3826912506 $CellContext`b))) 
         Cos[$CellContext`\[CapitalTheta]3]) 
        Sin[$CellContext`\[CapitalTheta]3], $CellContext`\[Rho]Z[
         Pattern[$CellContext`n, 
          Blank[]]] := $CellContext`r[0, $CellContext`n], $CellContext`r[
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := ReplaceAll[$CellContext`rz[$CellContext`n]/10, 
         $CellContext`solZ[$CellContext`F, $CellContext`n]], $CellContext`rz[
         Pattern[$CellContext`n, 
          Blank[]]] := (Sin[
           $CellContext`\[Beta]z[$CellContext`n]] $CellContext`b)/(2 
        Sin[$CellContext`\[Phi]z[$CellContext`n]/2]), $CellContext`\[Beta]z[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       Pi - ArcSin[
        Sin[$CellContext`\[Alpha]/2]/
         Cos[$CellContext`\[Phi]z[$CellContext`n]/2]], $CellContext`\[Phi]z[
         Pattern[$CellContext`n, 
          Blank[]]] := Pi/$CellContext`n, $CellContext`solZ[
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := 
       FindRoot[{$CellContext`\[Sigma]az[$CellContext`n] - \
$CellContext`F/$CellContext`n2[$CellContext`n] == 
          0, $CellContext`\[Sigma]bz[$CellContext`n] + ($CellContext`F Cos[
               $CellContext`\[Beta]z[$CellContext`n]])/(
            2 $CellContext`n2[$CellContext`n]) == 
          0, $CellContext`\[Tau]\[Alpha]z[$CellContext`n] + (2 D[
               $CellContext`\[Beta]z[$CellContext`n], $CellContext`\[Alpha]]) \
$CellContext`\[Tau]\[Beta]z[$CellContext`n] + (2 D[
               $CellContext`\[CapitalTheta]2z[$CellContext`n], $CellContext`\
\[Alpha]]) $CellContext`T2z[$CellContext`n] + D[
              $CellContext`\[CapitalTheta]4z[$CellContext`n], $CellContext`\
\[Alpha]] $CellContext`T4z[$CellContext`n] - ((((
               1 $CellContext`F) $CellContext`b) D[
               $CellContext`\[Beta]z[$CellContext`n], $CellContext`\[Alpha]]) 
            Sin[
              $CellContext`\[Beta]z[$CellContext`n]])/(
           2 $CellContext`n2[$CellContext`n]) == 
          0}, {{$CellContext`a, 1.4}, {$CellContext`b, 
           1.4}, {$CellContext`\[Alpha], 2}}], $CellContext`\[Sigma]az[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`\[Sigma]a, {$CellContext`\[Beta] -> \
$CellContext`\[Beta]z[$CellContext`n], $CellContext`\[CapitalTheta]1 -> \
$CellContext`\[CapitalTheta]1z[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2z[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3z[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4z[$CellContext`n]}], \
$CellContext`\[CapitalTheta]1z[
         Pattern[$CellContext`n, 
          
          Blank[]]] := $CellContext`\[Phi]z[$CellContext`n], $CellContext`\
\[CapitalTheta]2z[
         Pattern[$CellContext`n, 
          Blank[]]] := ArcSin[(Sin[
            $CellContext`\[Beta]z[$CellContext`n]] Sin[
            $CellContext`\[Phi]z[$CellContext`n]])/
         Sin[$CellContext`\[Alpha]]], $CellContext`\[CapitalTheta]3z[
         Pattern[$CellContext`n, 
          Blank[]]] := 0, $CellContext`\[CapitalTheta]4z[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       2 $CellContext`\[CapitalTheta]2z[$CellContext`n], $CellContext`n2[
         Pattern[$CellContext`n, 
          Blank[]]] := $CellContext`n, $CellContext`\[Sigma]bz[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`\[Sigma]b, {$CellContext`\[Beta] -> \
$CellContext`\[Beta]z[$CellContext`n], $CellContext`\[CapitalTheta]1 -> \
$CellContext`\[CapitalTheta]1z[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2z[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3z[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4z[$CellContext`n]}], $CellContext`\[Tau]\[Alpha]z[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`\[Tau]\[Alpha], {$CellContext`\[Beta] -> \
$CellContext`\[Beta]z[$CellContext`n], $CellContext`\[CapitalTheta]1 -> \
$CellContext`\[CapitalTheta]1z[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2z[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3z[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4z[$CellContext`n]}], $CellContext`\[Tau]\[Beta]z[
        
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`\[Tau]\[Beta], {$CellContext`\[Beta] -> \
$CellContext`\[Beta]z[$CellContext`n], $CellContext`\[CapitalTheta]1 -> \
$CellContext`\[CapitalTheta]1z[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2z[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3z[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4z[$CellContext`n]}], $CellContext`T2z[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`T2, {$CellContext`\[Beta] -> $CellContext`\
\[Beta]z[$CellContext`n], $CellContext`\[CapitalTheta]1 -> $CellContext`\
\[CapitalTheta]1z[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2z[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3z[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4z[$CellContext`n]}], $CellContext`T4z[
         Pattern[$CellContext`n, 
          Blank[]]] := 
       ReplaceAll[$CellContext`T4, {$CellContext`\[Beta] -> $CellContext`\
\[Beta]z[$CellContext`n], $CellContext`\[CapitalTheta]1 -> $CellContext`\
\[CapitalTheta]1z[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2z[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3z[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4z[$CellContext`n]}], $CellContext`T4 = \
(((-0.00809675) ((-12388.79197798)/E^(4.7204523127 $CellContext`b) - 
           17.56740646509/E^(1.4332132499 $CellContext`b) - 30.71493208065/
           E^(1.3826912506 $CellContext`b))) 
         Cos[$CellContext`\[CapitalTheta]4]) 
        Sin[$CellContext`\[CapitalTheta]4], $CellContext`Energy[0, 
         Pattern[$CellContext`n, 
          
          Blank[]]] := $CellContext`EnergyA[$CellContext`n], \
$CellContext`Energy[1, 
         Pattern[$CellContext`n, 
          
          Blank[]]] := $CellContext`EnergyZ[$CellContext`n], \
$CellContext`EnergyA[
         Pattern[$CellContext`n, 
          Blank[]]] := $CellContext`V[0, $CellContext`n], $CellContext`V[
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := ReplaceAll[
         ReplaceAll[($CellContext`Va + 2 $CellContext`Vb)/
          2, {$CellContext`\[Beta] -> $CellContext`\[Beta][$CellContext`n], \
$CellContext`\[CapitalTheta]1 -> \
$CellContext`\[CapitalTheta]1[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4[$CellContext`n]}], 
         $CellContext`solA[$CellContext`F, $CellContext`n]], $CellContext`Va = \
(10953.54416217 (1 + 0.3134602960833/$CellContext`a))/
         E^(4.7465390606595 $CellContext`a) + ((-12388.79197798)/
           E^(4.7204523127 $CellContext`a) - 17.56740646509/
          E^(1.4332132499 $CellContext`a) - 30.71493208065/
          E^(1.3826912506 $CellContext`a)) ((-0.00809675) (1 - 
            Cos[$CellContext`\[CapitalTheta]1]^2) + 
          1/Sqrt[1 + 
            2 Piecewise[{{
                0.375449999999999 + 
                 1.406776475152104 Cos[$CellContext`\[Beta]] + 
                 2.254377494462425 Cos[$CellContext`\[Beta]]^2 + 
                 2.031282890266629 Cos[$CellContext`\[Beta]]^3 + 
                 1.429711740681566 Cos[$CellContext`\[Beta]]^4 + 
                 0.502401399437276 Cos[$CellContext`\[Beta]]^5, 
                 Inequality[
                 0, LessEqual, $CellContext`\[Beta], Less, 
                  1.910716651913312]}, {
                0.707277245734129 + 
                 5.677435848489921 Cos[$CellContext`\[Beta]] + 
                 24.09701877750397 Cos[$CellContext`\[Beta]]^2 + 
                 57.59183195999613 Cos[$CellContext`\[Beta]]^3 + 
                 71.88287000288395 Cos[$CellContext`\[Beta]]^4 + 
                 36.27886067346856 Cos[$CellContext`\[Beta]]^5, 
                 Inequality[
                 1.910716651913312, LessEqual, $CellContext`\[Beta], 
                  Less, (2 Pi)/3]}, {-0.644399999999948 - 6.207999999999618 
                 Cos[$CellContext`\[Beta]] - 20.05899999999891 
                 Cos[$CellContext`\[Beta]]^2 - 30.22799999999852 
                 Cos[$CellContext`\[Beta]]^3 - 21.72399999999905 
                 Cos[$CellContext`\[Beta]]^4 - 5.990399999999763 
                 Cos[$CellContext`\[Beta]]^5, (2 Pi)/
                  3 <= $CellContext`\[Beta] <= Pi}}, 0]]), $CellContext`Vb = (
          10953.54416217 (1 + 0.3134602960833/$CellContext`b))/
         E^(4.7465390606595 $CellContext`b) + ((-12388.79197798)/
           E^(4.7204523127 $CellContext`b) - 17.56740646509/
          E^(1.4332132499 $CellContext`b) - 30.71493208065/
          E^(1.3826912506 $CellContext`b)) ((-0.004048375) (2 + 
            2 (1 - Cos[$CellContext`\[CapitalTheta]2]^2) - 
            Cos[$CellContext`\[CapitalTheta]3]^2 - 
            Cos[$CellContext`\[CapitalTheta]4]^2) + 
          1/Sqrt[
           1 + Piecewise[{{
               0.375449999999999 + 
                1.406776475152104 Cos[$CellContext`\[Alpha]] + 
                2.254377494462425 Cos[$CellContext`\[Alpha]]^2 + 
                2.031282890266629 Cos[$CellContext`\[Alpha]]^3 + 
                1.429711740681566 Cos[$CellContext`\[Alpha]]^4 + 
                0.502401399437276 Cos[$CellContext`\[Alpha]]^5, 
                Inequality[
                0, LessEqual, $CellContext`\[Alpha], Less, 
                 1.910716651913312]}, {
               0.707277245734129 + 
                5.677435848489921 Cos[$CellContext`\[Alpha]] + 
                24.09701877750397 Cos[$CellContext`\[Alpha]]^2 + 
                57.59183195999613 Cos[$CellContext`\[Alpha]]^3 + 
                71.88287000288395 Cos[$CellContext`\[Alpha]]^4 + 
                36.27886067346856 Cos[$CellContext`\[Alpha]]^5, 
                Inequality[
                1.910716651913312, LessEqual, $CellContext`\[Alpha], 
                 Less, (2 Pi)/3]}, {-0.644399999999948 - 6.207999999999618 
                Cos[$CellContext`\[Alpha]] - 20.05899999999891 
                Cos[$CellContext`\[Alpha]]^2 - 30.22799999999852 
                Cos[$CellContext`\[Alpha]]^3 - 21.72399999999905 
                Cos[$CellContext`\[Alpha]]^4 - 5.990399999999763 
                Cos[$CellContext`\[Alpha]]^5, (2 Pi)/
                 3 <= $CellContext`\[Alpha] <= Pi}}, 0] + 
            Piecewise[{{
               0.375449999999999 + 
                1.406776475152104 Cos[$CellContext`\[Beta]] + 
                2.254377494462425 Cos[$CellContext`\[Beta]]^2 + 
                2.031282890266629 Cos[$CellContext`\[Beta]]^3 + 
                1.429711740681566 Cos[$CellContext`\[Beta]]^4 + 
                0.502401399437276 Cos[$CellContext`\[Beta]]^5, 
                Inequality[
                0, LessEqual, $CellContext`\[Beta], Less, 
                 1.910716651913312]}, {
               0.707277245734129 + 
                5.677435848489921 Cos[$CellContext`\[Beta]] + 
                24.09701877750397 Cos[$CellContext`\[Beta]]^2 + 
                57.59183195999613 Cos[$CellContext`\[Beta]]^3 + 
                71.88287000288395 Cos[$CellContext`\[Beta]]^4 + 
                36.27886067346856 Cos[$CellContext`\[Beta]]^5, 
                Inequality[
                1.910716651913312, LessEqual, $CellContext`\[Beta], 
                 Less, (2 Pi)/3]}, {-0.644399999999948 - 6.207999999999618 
                Cos[$CellContext`\[Beta]] - 20.05899999999891 
                Cos[$CellContext`\[Beta]]^2 - 30.22799999999852 
                Cos[$CellContext`\[Beta]]^3 - 21.72399999999905 
                Cos[$CellContext`\[Beta]]^4 - 5.990399999999763 
                Cos[$CellContext`\[Beta]]^5, (2 Pi)/3 <= $CellContext`\[Beta] <= 
                Pi}}, 0]]), $CellContext`EnergyZ[
         Pattern[$CellContext`n, 
          Blank[]]] := $CellContext`VZ[0, $CellContext`n], $CellContext`VZ[
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := ReplaceAll[
         ReplaceAll[($CellContext`Va + 2 $CellContext`Vb)/
          2, {$CellContext`\[Beta] -> $CellContext`\[Beta]z[$CellContext`n], \
$CellContext`\[CapitalTheta]1 -> \
$CellContext`\[CapitalTheta]1z[$CellContext`n], $CellContext`\[CapitalTheta]2 -> \
$CellContext`\[CapitalTheta]2z[$CellContext`n], $CellContext`\[CapitalTheta]3 -> \
$CellContext`\[CapitalTheta]3z[$CellContext`n], $CellContext`\[CapitalTheta]4 -> \
$CellContext`\[CapitalTheta]4z[$CellContext`n]}], 
         $CellContext`solZ[$CellContext`F, $CellContext`n]], \
$CellContext`Young[0, 
         Pattern[$CellContext`n, 
          
          Blank[]]] := $CellContext`YoungA[$CellContext`n], \
$CellContext`Young[1, 
         Pattern[$CellContext`n, 
          
          Blank[]]] := $CellContext`YoungZ[$CellContext`n], \
$CellContext`YoungA[
         Pattern[$CellContext`n, 
          Blank[]]] := If[$CellContext`n < 20, 
         $CellContext`YA[10^(-10), $CellContext`n], 
         $CellContext`YA[10^(-9), $CellContext`n]], $CellContext`YA[
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          
          Blank[]]] := ((($CellContext`F/$CellContext`eA[$CellContext`F, \
$CellContext`n]) $CellContext`ev) (
          1/(((2 Pi) $CellContext`rA[$CellContext`F, $CellContext`n]) \
$CellContext`t))) 10, $CellContext`eA[
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := ReplaceAll[
         $CellContext`\[Epsilon]A[$CellContext`n], 
         $CellContext`solA[$CellContext`F, $CellContext`n]], $CellContext`\
\[Epsilon]A[
         Pattern[$CellContext`n, 
          
          Blank[]]] := ($CellContext`\[Lambda]A[$CellContext`n] - \
$CellContext`\[Lambda]0A[$CellContext`n])/$CellContext`\[Lambda]0A[$\
CellContext`n], $CellContext`\[Lambda]A[
         Pattern[$CellContext`n, 
          Blank[]]] := ((2 
          Sin[$CellContext`\[Alpha]/
            2]) $CellContext`n2[$CellContext`n]) $CellContext`b, \
$CellContext`\[Lambda]0A[
         Pattern[$CellContext`n, 
          Blank[]]] := ReplaceAll[
         $CellContext`\[Lambda]A[$CellContext`n], 
         $CellContext`solA[0, $CellContext`n]], $CellContext`ev = 
       0.1602176487, $CellContext`t = 0.34, $CellContext`YoungZ[
         Pattern[$CellContext`n, 
          Blank[]]] := $CellContext`YZ[
        10^(-8), $CellContext`n], $CellContext`YZ[
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          
          Blank[]]] := ((($CellContext`F/$CellContext`eZ[$CellContext`F, \
$CellContext`n]) $CellContext`ev) (
          1/(((2 Pi) $CellContext`r[$CellContext`F, $CellContext`n]) \
$CellContext`t))) 10, $CellContext`eZ[
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := ReplaceAll[
         $CellContext`\[Epsilon]Z[$CellContext`n], 
         $CellContext`solZ[$CellContext`F, $CellContext`n]], $CellContext`\
\[Epsilon]Z[
         Pattern[$CellContext`n, 
          
          Blank[]]] := ($CellContext`\[Lambda]Z[$CellContext`n] - \
$CellContext`\[Lambda]0Z[$CellContext`n])/$CellContext`\[Lambda]0Z[$\
CellContext`n], $CellContext`\[Lambda]Z[
         Pattern[$CellContext`n, 
          Blank[]]] := ((1 - ($CellContext`b Cos[
             $CellContext`\[Beta]z[$CellContext`n]])/$CellContext`a) \
$CellContext`n1[$CellContext`n]) $CellContext`a, $CellContext`\[Lambda]0Z[
         Pattern[$CellContext`n, 
          Blank[]]] := ReplaceAll[
         $CellContext`\[Lambda]Z[$CellContext`n], 
         $CellContext`solZ[0, $CellContext`n]], $CellContext`Poisson[0, 
         Pattern[$CellContext`n, 
          
          Blank[]]] := $CellContext`PoissonA[$CellContext`n], \
$CellContext`Poisson[1, 
         Pattern[$CellContext`n, 
          
          Blank[]]] := $CellContext`PoissonZ[$CellContext`n], \
$CellContext`PoissonA[
         Pattern[$CellContext`n, 
          Blank[]]] := If[$CellContext`n < 20, 
         $CellContext`\[Nu]A[10^(-10), $CellContext`n], 
         $CellContext`\[Nu]A[10^(-9), $CellContext`n]], $CellContext`\[Nu]A[
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          
          Blank[]]] := -(((($CellContext`rA[$CellContext`F, $CellContext`n] - \
$CellContext`rA[0, $CellContext`n])/$CellContext`rA[0, $CellContext`n]) 
          1)/$CellContext`eA[$CellContext`F, $CellContext`n]), \
$CellContext`PoissonZ[
         Pattern[$CellContext`n, 
          Blank[]]] := $CellContext`\[Nu][
        10^(-8), $CellContext`n], $CellContext`\[Nu][
         Pattern[$CellContext`F, 
          Blank[]], 
         Pattern[$CellContext`n, 
          
          Blank[]]] := -(((($CellContext`r[$CellContext`F, $CellContext`n] - \
$CellContext`r[0, $CellContext`n])/$CellContext`r[0, $CellContext`n]) 
          1)/$CellContext`eZ[$CellContext`F, $CellContext`n])}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.6499199600972757`*^9, 3.649920031026*^9, 3.64992008661572*^9, 
   3.649920141374824*^9, 3.649920379730783*^9, {3.6499205751254997`*^9, 
   3.649920683478266*^9}, {3.649920735397599*^9, 3.649920750724394*^9}, 
   3.649920789736805*^9, {3.649921213346641*^9, 3.64992125678011*^9}, {
   3.6499213016286182`*^9, 3.64992133529419*^9}, 3.649922106186335*^9, 
   3.6499224424525833`*^9, 3.649922656604659*^9, 3.649922765540331*^9, 
   3.649922854893649*^9, 3.649922906451099*^9, 3.649923051284719*^9, 
   3.649923167220623*^9, {3.649923199780334*^9, 3.649923216524797*^9}, 
   3.649923325060257*^9, 3.650005057093092*^9, 3.65000532770312*^9, 
   3.6502083868646603`*^9, 3.650271859091387*^9, 3.650272576685092*^9, 
   3.650272691459607*^9, 3.6502754043997507`*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox["\n\n",
  FontWeight->"Bold",
  FontColor->RGBColor[
   0.5974822613870451, 0.02844281681544213, 0.011352712291142137`]],
 StyleBox["Instructions",
  FontSize->10,
  FontWeight->"Bold",
  FontColor->RGBColor[
   0.5974822613870451, 0.02844281681544213, 0.011352712291142137`]],
 StyleBox["\n1. Load the package \[OpenCurlyDoubleQuote]Benchmark_code.m\
\[CloseCurlyDoubleQuote] inserting the directory in \
\[OpenCurlyDoubleQuote]Get\[CloseCurlyDoubleQuote] command and press \
\[OpenCurlyDoubleQuote]Shift+Enter\[CloseCurlyDoubleQuote]\n2. Choose \
armchair or zigzag CNTs\n3. Choose the chiral number n\n4. Press Enter to \
visualize the benchmark results\n\n",
  FontSize->10],
 StyleBox["Note",
  FontSize->10,
  FontWeight->"Bold",
  FontColor->RGBColor[
   0.5974822613870451, 0.02844281681544213, 0.011352712291142137`]],
 StyleBox["\nThe code is set for 2nd generation Brenner potential. In order \
to check another REBO potential, it is necessary to define the proper \
potential functions and all the corresponding parameters in the \
\[OpenCurlyDoubleQuote]Benchmark_code.m\[CloseCurlyDoubleQuote] file.",
  FontSize->10]
}], "Text",
 CellChangeTimes->{{3.649905860013586*^9, 3.649905884914686*^9}, {
  3.649905937754937*^9, 3.649905941169161*^9}, {3.649906091924273*^9, 
  3.6499061008352833`*^9}, {3.6499061354643393`*^9, 3.649906153846532*^9}, {
  3.649906187635599*^9, 3.649906262191044*^9}, {3.649906735287449*^9, 
  3.649906736693852*^9}, {3.649910922731618*^9, 3.6499109341437893`*^9}, {
  3.649921874129036*^9, 3.649921876167252*^9}, {3.650004513986487*^9, 
  3.6500045145705547`*^9}, {3.650208367036606*^9, 3.650208380421555*^9}, {
  3.650271846733797*^9, 3.650271849132226*^9}, {3.650272566986157*^9, 
  3.6502725689978523`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6500050346029053`*^9, 3.6500050428916492`*^9}}]
},
WindowSize->{913, 657},
WindowMargins->{{60, Automatic}, {6, Automatic}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
Magnification:>1.25 Inherited,
FrontEndVersion->"10.1 for Mac OS X x86 (32-bit, 64-bit Kernel) (March 23, \
2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1464, 33, 392, 7, 52, "Text"],
Cell[CellGroupData[{
Cell[1881, 44, 428, 7, 36, "Input"],
Cell[2312, 53, 47264, 870, 233, "Output"]
}, Open  ]],
Cell[49591, 926, 1775, 36, 230, "Text"],
Cell[51369, 964, 96, 1, 35, "Input"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature qxDd@sHAeLtyCBwKbb9sawy7 *)
